Bug 1300125 - Totem - An error occured - This file cannot be played over the network. Try downloading it locally first
Totem - An error occured - This file cannot be played over the network. Try d...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 19:29 EST by Lukáš Polívka
Modified: 2016-09-21 11:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-21 11:06:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Polívka 2016-01-19 19:29:53 EST
Hi,
I will happily provide any missing details or do any tests.

Description of problem:
For some time now I have not been able to play any videos from my NAS (SMB) or locally in Totem. In both cases (SMB & local) the error message is the same:
An error occured
This file cannot be played over the network. Try downloading it locally first.

I *can* play the file from the CLI using this, for example:
gst-launch-1.0 playbin uri=file:///home/spike411/Videos/ducks_take_off_444_720p25.ogg
(plays the video in an OpenGL window with no playback controls)

Version-Release number of selected component (if applicable):
totem 3.19.3
GStreamer Core Library version 1.7.1

How reproducible:
Tested with a Theora test video ("ducks") from here: https://wiki.xiph.org/TheoraTestsuite
Also happens with the usual H.264 videos in MKV and MP4 containers. (I do have the necessary gst plugins from RPMFusion.)

Additional info:
System info: http://ur1.ca/ofj1z
Output of opening the file with totem --gst-debug-level=4: http://ur1.ca/ofj3d
Running Gnome 3 on Wayland.
Comment 1 Alexandre Mazari 2016-02-10 17:21:48 EST
Same issue here. AFAIK, this is fixed by 
https://bugzilla.gnome.org/show_bug.cgi?id=760234 

The issue lay in gstreamer1-base 1.7.1 which should hopefully be updated and/or backport-patched. Unfortunately, no gstreamer unstable release currently contains the fix.
see https://bugzilla.redhat.com/show_bug.cgi?id=1306456
Comment 2 Lukáš Polívka 2016-02-23 13:53:56 EST
It's working now!
Comment 3 Jan Kurik 2016-02-24 09:18:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Bastien Nocera 2016-09-21 11:06:58 EDT
(In reply to Lukáš Polívka from comment #2)
> It's working now!

Great, closing then.

Note You need to log in before you can comment on or make changes to this bug.